# frozen_string_literal: true
# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "wilco/version"

Gem::Specification.new do |spec|
  spec.name          = "wilco"
  spec.version       = Wilco::VERSION
  spec.authors       = ["Josh Justice"]
  spec.email         = ["me@codingitwrong.com"]

  spec.summary       = "A Ruby conversation engine"
  spec.homepage      = "https://github.com/CodingItWrong/wilco"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`
                       .split("\x0")
                       .reject { |f| f.match(%r{^(sample|spec)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
end
